!C
!C***
!C*** POINTER_INIT
!C***
!C
      subroutine POINTER_INIT

      use STRUCT
      use PCG

      implicit REAL*8 (A-H,O-Z)

      character*9 fname

!C
!C +------+
!C | GRID |
!C +------+
!C===
      open (21, file= 'mesh.dat', status='unknown', form='formatted')

      read (21,'(10i10)') NX , NY , NZ
      read (21,'(10i10)') ICELTOT

      allocate (NEIBcell(ICELTOT,6), XYZ(ICELTOT,3))

      do i= 1, ICELTOT
        read (21,'(10i10)') ii, (NEIBcell(i,k), k= 1, 6),               &
     &                          (XYZ     (i,j), j= 1, 3)
      enddo
      close (21)

      ICELTOTp= ICELTOT

      if (DX.le.0.0e0) then
        DX= 1.d0 / dfloat(NX)
        DY= 1.d0 / dfloat(NY)
        DZ= 1.d0 / dfloat(NZ)
      endif

      NXP1= NX + 1
      NYP1= NY + 1
      NZP1= NZ + 1

      IBNODTOT= NXP1 * NYP1
      N       = NXP1 * NYP1 * NZP1
!C===
      return
      end



